version: "3"

services:
  wireguard-ui:
    image: ngoduykhanh/wireguard-ui:0.5.2
    container_name: wireguard-ui
    cap_add:
      - NET_ADMIN
    network_mode: host
    environment:
      SENDGRID_API_KEY:
      EMAIL_FROM_ADDRESS:
      EMAIL_FROM_NAME:
      SESSION_SECRET:
      SESSION_SECRET: 81164670b20f1ced48980dcb49675349
      WGUI_USERNAME: admin
      WGUI_PASSWORD: admin
      WGUI_MANAGE_START: true
      WGUI_MANAGE_RESTART: true
    logging:
      driver: json-file
      options:
        max-size: 50m
    volumes:
      - ./db:/app/db
      - /etc/wireguard:/etc/wireguard

